PUT /settings/accounting/books/\{id\}
PUT/settings/accounting/books/:id
PUT /settings/accounting/books/{id}
Request
Path Parameters
id int64required
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
Body
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
Body
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
Body
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
{
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
}
- Schema
- Example (from schema)
Schema
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
{
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
}
- Schema
- Example (from schema)
Schema
id int64
name stringrequired
Possible values: non-empty
currency stringrequired
Possible values: non-empty
precision int32required
Possible values: <= 4
fx_rates_source stringnullable
fx_rates_date stringnullable
group_rows boolean
group_row_taxes boolean
allow_zero_entries boolean
split_tax_reverse_charge boolean
calc_fx_rate_variances boolean
{
"id": 0,
"name": "string",
"currency": "string",
"precision": 0,
"fx_rates_source": "string",
"fx_rates_date": "string",
"group_rows": true,
"group_row_taxes": true,
"allow_zero_entries": true,
"split_tax_reverse_charge": true,
"calc_fx_rate_variances": true
}
Loading...